RDKit: RDKit::FMCS::ExecStatistics Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::FMCS::ExecStatistics Struct Reference

`#include <DebugTrace.h>`

## Public Member Functions
| ExecStatistics ()

## Public Attributes
unsigned int | TotalSteps {0}
unsigned int | MCSFoundStep {0}
unsigned long long | MCSFoundTime
unsigned int | InitialSeed {0}
unsigned int | MismatchedInitialSeed {0}
unsigned int | Seed {0}
unsigned int | RemainingSizeRejected {0}
unsigned int | SeedCheck {0}
unsigned int | IndividualBondExcluded {0}
unsigned int | MatchCall {0}
unsigned int | MatchCallTrue {0}
unsigned int | FastMatchCall {0}
unsigned int | FastMatchCallTrue {0}
unsigned int | SlowMatchCallTrue {0}
unsigned int | ExactMatchCall {0}
unsigned int | ExactMatchCallTrue {0}
unsigned int | FindHashInCache {0}
unsigned int | HashKeyFoundInCache {0}
unsigned int | AtomCompareCalls {0}
unsigned int | BondCompareCalls {0}
unsigned int | AtomFunctorCalls {0}
unsigned int | BondFunctorCalls {0}
unsigned int | WrongCompositionRejected {0}
unsigned int | WrongCompositionDetected {0}
unsigned int | DupCacheFound {0}
unsigned int | DupCacheFoundMatch {0}

## Detailed Description

Definition at line 113 of file DebugTrace.h.

## Constructor & Destructor Documentation

## ◆ ExecStatistics()

RDKit::FMCS::ExecStatistics::ExecStatistics | ( |  | ) |
| inline

Definition at line 128 of file DebugTrace.h.

References MCSFoundTime, and nanoClock().

## Member Data Documentation

## ◆ AtomCompareCalls

unsigned int RDKit::FMCS::ExecStatistics::AtomCompareCalls {0}

Definition at line 123 of file DebugTrace.h.

## ◆ AtomFunctorCalls

unsigned int RDKit::FMCS::ExecStatistics::AtomFunctorCalls {0}

Definition at line 124 of file DebugTrace.h.

## ◆ BondCompareCalls

unsigned int RDKit::FMCS::ExecStatistics::BondCompareCalls {0}

Definition at line 123 of file DebugTrace.h.

## ◆ BondFunctorCalls

unsigned int RDKit::FMCS::ExecStatistics::BondFunctorCalls {0}

Definition at line 124 of file DebugTrace.h.

## ◆ DupCacheFound

unsigned int RDKit::FMCS::ExecStatistics::DupCacheFound {0}

Definition at line 126 of file DebugTrace.h.

## ◆ DupCacheFoundMatch

unsigned int RDKit::FMCS::ExecStatistics::DupCacheFoundMatch {0}

Definition at line 126 of file DebugTrace.h.

## ◆ ExactMatchCall

unsigned int RDKit::FMCS::ExecStatistics::ExactMatchCall {0}

Definition at line 121 of file DebugTrace.h.

## ◆ ExactMatchCallTrue

unsigned int RDKit::FMCS::ExecStatistics::ExactMatchCallTrue {0}

Definition at line 121 of file DebugTrace.h.

## ◆ FastMatchCall

unsigned int RDKit::FMCS::ExecStatistics::FastMatchCall {0}

Definition at line 120 of file DebugTrace.h.

## ◆ FastMatchCallTrue

unsigned int RDKit::FMCS::ExecStatistics::FastMatchCallTrue {0}

Definition at line 120 of file DebugTrace.h.

## ◆ FindHashInCache

unsigned int RDKit::FMCS::ExecStatistics::FindHashInCache {0}

Definition at line 122 of file DebugTrace.h.

## ◆ HashKeyFoundInCache

unsigned int RDKit::FMCS::ExecStatistics::HashKeyFoundInCache {0}

Definition at line 122 of file DebugTrace.h.

## ◆ IndividualBondExcluded

unsigned int RDKit::FMCS::ExecStatistics::IndividualBondExcluded {0}

Definition at line 118 of file DebugTrace.h.

## ◆ InitialSeed

unsigned int RDKit::FMCS::ExecStatistics::InitialSeed {0}

Definition at line 116 of file DebugTrace.h.

## ◆ MatchCall

unsigned int RDKit::FMCS::ExecStatistics::MatchCall {0}

Definition at line 119 of file DebugTrace.h.

## ◆ MatchCallTrue

unsigned int RDKit::FMCS::ExecStatistics::MatchCallTrue {0}

Definition at line 119 of file DebugTrace.h.

## ◆ MCSFoundStep

unsigned int RDKit::FMCS::ExecStatistics::MCSFoundStep {0}

Definition at line 114 of file DebugTrace.h.

## ◆ MCSFoundTime

unsigned long long RDKit::FMCS::ExecStatistics::MCSFoundTime

Definition at line 115 of file DebugTrace.h.

Referenced by ExecStatistics().

## ◆ MismatchedInitialSeed

unsigned int RDKit::FMCS::ExecStatistics::MismatchedInitialSeed {0}

Definition at line 116 of file DebugTrace.h.

## ◆ RemainingSizeRejected

unsigned int RDKit::FMCS::ExecStatistics::RemainingSizeRejected {0}

Definition at line 117 of file DebugTrace.h.

## ◆ Seed

unsigned int RDKit::FMCS::ExecStatistics::Seed {0}

Definition at line 117 of file DebugTrace.h.

## ◆ SeedCheck

unsigned int RDKit::FMCS::ExecStatistics::SeedCheck {0}

Definition at line 118 of file DebugTrace.h.

## ◆ SlowMatchCallTrue

unsigned int RDKit::FMCS::ExecStatistics::SlowMatchCallTrue {0}

Definition at line 120 of file DebugTrace.h.

## ◆ TotalSteps

unsigned int RDKit::FMCS::ExecStatistics::TotalSteps {0}

Definition at line 114 of file DebugTrace.h.

## ◆ WrongCompositionDetected

unsigned int RDKit::FMCS::ExecStatistics::WrongCompositionDetected {0}

Definition at line 125 of file DebugTrace.h.

## ◆ WrongCompositionRejected

unsigned int RDKit::FMCS::ExecStatistics::WrongCompositionRejected {0}

Definition at line 125 of file DebugTrace.h.

The documentation for this struct was generated from the following file:

- DebugTrace.h